WMTV(1)

NAME
wmtv - dockable video4linux TV player for WindowMaker.

SYNOPSIS
wmtv [--exe program]

DESCRIPTION
wmtv is a dockable video4linux TV player. It supports channel presets, PAL/Secam/NTSC, fine tuning, full screen display, ...

OPTIONS

-c, --device
    Specifies the video4linux device to use.

-d, --display
    Specifies the X server to contact.

-e, --exe
    Launch an external TV player when the screen is double clicked. It is possible to pass some parameters to this external application with % codes.

USAGE
This sections describes how to use the application in docked state. See below for fullscreen mode usage.

Button map:
    [ < ] [ > ] [ 0 ]
     <1> <2> <3>

There are 3 modes of operation on this applications. You can cycle through the 3 modes by clicking on the right most button <3>.

The 3 modes are described below:

On mode
Clicking on the rightmost button <3> for the first time (after the start of WMTV) will turn the TV on. While in this mode, the left <1> and right <2> buttons change to preset channels which has been defined in your config file. Use the left button to move down one channel and the right button to move up one channel.

Tune mode
Clicking again on button <3> after On mode will change WMTV into tune mode. Left-clicking on the left <1> or right <2> button performs a channel scan. Scanning stops when there is a strong signal strength. Right-clicking on the left <1> or right <2> button fine tunes the current channel. After tuning, clicking on button <3> saves the fine tuning to your config file and brings you back into "On mode".

Off mode
Holding down button <3> for about 3 seconds from any of the two modes described above turns the TV off.

Right-clicking the TV screen mutes/unmutes the audio.

Double left-clicking the TV screen launches the application specified with --exe. If --exe was not specified, then the built-in full-screen mode is used instead. Double middle-clicking will always invoke the built-in full screen mode.

FULL SCREEN MODE
To exit full screen mode, click.

Keyboard functions
Up - Change to next preset channel.
Down - Change to previous preset channel.
Right - Increase volume. (If supported by the v4l device.)
Left - Decrease volume. (If supported.)
Escape - Leave full screen mode.
m - mute/unmute.

EXTERNAL APPLICATION
It is possible to pass some parameters to the external application through % codes:
%% is replaced by a single %.
%n is replaced by the name of the current channel.
%# is replaced by the number of the current channel.
%f is replaced by the current frequency in MHz.
The behavior of other % codes is undefined and subject to change.

Example: wmtv -e 'xawtv "%n"'

CONFIGURATION FILE
This section describes the format of WMTV's configuration file. It is located in your home directory under ".wmtvrc".

Excerpt from a sample config file:
/*-----------------------

source = Television
freqnorm = pal-australia
maxpreset = 7
mode = pal
fullscreen = 640x480

[channel]
2 NAME
7 FOO
9 BAR
10 FOOBAR
32 (50)
SE11
S21 LAST CHANNEL
-------------------------*/

Settings
source = { Television | CompositeX | S-Video } (X is an integer)

freqnorm = { ntsc-bcast | ntsc-cable | ntsc-cable-hrc | ntsc-bcast-jp | ntsc-cable-jp | pal-europe | pal-europe-east | pal-italy | pal-newzealand | pal-australia | pal-ireland | secam-france }

maxpreset = integer (maximum channel presets)

mode = { pal | ntsc | secam }

fullscreen = widthxheight

[channel]
Choose a total of <maxpreset> from the below channels.
Separate the channels with a new line as in the sample config file above.
{
E2 | E3 | E4 |
S01 | S02 | S03 |
R1 | R2 | R3 | R4 | R5 |
SE1 | SE2 | SE3 | SE4 | SE5 | SE6 | SE7 | SE8 | SE9 | SE10 |
E5 | E6 | E7 | E8 | E9 | E10 | E11 | E12 |
R6 | R7 | R8 | R9 | R10 | R11 | R12 |
SE11 | SE12 | SE13 | SE14 | SE15 | SE16 | SE17 | SE18 | SE19 | SE20 |
S21 | S22 | S23 | S24 | S25 | S26 | S27 | S28 | S29 | S30 | S31 | S32 | S33 | S34 | S35 | S36 | S37 | S38 | S39 | S40 | S41 |
T7 | T8 | T9 | T10 | T11 | T12 | T13 | T14 |
K01 | K02 | K03 | K04 | K05 | K06 | K07 | K08 | K09 | K10 |
KB | KC | KD | KE | KF | KG | KH | KI | KJ | KK | KL | KM | KN | KO | KP | KQ |
H01 | H02 | H03 | H04 | H05 | H06 | H07 | H08 | H09 | H10 | H11 | H12 | H13 | H14 | H15 | H16 | H17 | H18 | H19 |
1 - 125
}
Finetune parameters could be added in brackets, spaced after the channel.
A name for the channel can also be specified, tabbed after the finetune.

for example:
  32 (50) # channel 32 plus 50
  or
  SE11 LAST CHANNEL # channel SE11 called "LAST CHANNEL"

FILES

/etc/wmtvrc
    System wide config file.

~/.wmtvrc
    Users config file.

AUTHOR
This manual page was first written by Remi Lefebvre <remi@debian.org>, and then modified by Nicolas Boullis <nboullis@debian.org>, for the Debian GNU/Linux system (but may be used by others).

This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page. It is widely based on the README provided with the program.